Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules
Class Layout

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Layout

Direct Known Subclasses:
  DirectResponseLayout, JspLayout, VelocityDirectLayout, VelocityOnlyLayout, VelocityXslLayout

    public abstract class Layout

extends Assembler

This is the base class that defines what a Layout module is.

Version:
  $Id: Layout.java 717934 2008-11-15 21:48:47Z tv $
Author:
  Dave Bryson, Peter Courcoux

Field Summary
`static int` | `CACHE_SIZE_DEFAULT` The default size for the layout cache
`static String` | `CACHE_SIZE_KEY` Property for the size of the layout cache if caching is on
`static String` | `NAME` Represents Layout Objects
`static String` | `PREFIX` Prefix for layout related classes and templates

Constructor Summary
`Layout()`

Method Summary
`protected void` | `build(PipelineData pipelineData)` Subclasses can override this method to add additional functionality.
`protected void` | `build(RunData data)` Deprecated. Use PipelineData version instead
`protected void` | `doBuild(PipelineData pipelineData)` A subclass must override this method to perform itself.
`protected abstract void` | `doBuild(RunData data)` Deprecated. Use PipelineData version instead
`String` | `getPrefix()` Abstract method to provide the prefix for module related classes and templates

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Prefix for layout related classes and templates

  See Also:
    Constant Field Values

### CACHE_SIZE_KEY

    public static final String CACHE_SIZE_KEY

  Property for the size of the layout cache if caching is on

  See Also:
    Constant Field Values

### CACHE_SIZE_DEFAULT

    public static final int CACHE_SIZE_DEFAULT

  The default size for the layout cache

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Represents Layout Objects

  See Also:
    Constant Field Values

Constructor Detail

### Layout

    public Layout()

Method Detail

### getPrefix

    public String getPrefix()

  Description copied from class: `Assembler`
  Abstract method to provide the prefix for module related classes and templates

  Specified by:
    `getPrefix` in class `Assembler`
  Returns:
    the prefix
  See Also:
    `Assembler.getPrefix()`

### doBuild

    protected abstract void doBuild(RunData data)
                             throws Exception

  Deprecated. Use PipelineData version instead

  A subclass must override this method to build itself. Subclasses override this method to store the layout in RunData or to write the layout to the output stream referenced in RunData.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### build

    protected void build(RunData data)
                  throws Exception

  Deprecated. Use PipelineData version instead

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use LayoutLoader to build a Layout.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doBuild

    protected void doBuild(PipelineData pipelineData)
                    throws Exception

  A subclass must override this method to perform itself. The Action can also set the screen that is associated with RunData. Should revert to abstract when RunData is gone.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### build

    protected void build(PipelineData pipelineData)
                  throws Exception

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use ActionLoader to perform an Action.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.